/* SPDX-License-Identifier: GPL-2.0-only */
/*
 * Copyright (c) 2021, The Linux Foundation. All rights reserved.
 */

#ifndef __DT_BINDINGS_INTERCONNECT_QCOM_DIREWOLF_H
#define __DT_BINDINGS_INTERCONNECT_QCOM_DIREWOLF_H

#define MASTER_GPU_TCU				0
#define MASTER_PCIE_TCU				1
#define MASTER_SYS_TCU				2
#define MASTER_APPSS_PROC				3
#define MASTER_IPA_CORE				4
#define MASTER_LLCC				5
#define MASTER_CNOC_LPASS_AG_NOC				6
#define MASTER_CDSP_NOC_CFG				7
#define MASTER_CDSPB_NOC_CFG				8
#define MASTER_QDSS_BAM				9
#define MASTER_QSPI_0				10
#define MASTER_QUP_0				11
#define MASTER_QUP_1				12
#define MASTER_QUP_2				13
#define MASTER_A1NOC_CFG				14
#define MASTER_A2NOC_CFG				15
#define MASTER_A1NOC_SNOC				16
#define MASTER_A2NOC_SNOC				17
#define MASTER_USB_NOC_SNOC				18
#define MASTER_CAMNOC_HF				19
#define MASTER_COMPUTE_NOC				20
#define MASTER_COMPUTE_NOC_1				21
#define MASTER_CNOC_DC_NOC				22
#define MASTER_GEM_NOC_CFG				23
#define MASTER_GEM_NOC_CNOC				24
#define MASTER_GEM_NOC_PCIE_SNOC				25
#define MASTER_GFX3D				26
#define MASTER_LPASS_ANOC				27
#define MASTER_MDP0				28
#define MASTER_MDP1				29
#define MASTER_MDP_CORE1_0				30
#define MASTER_MDP_CORE1_1				31
#define MASTER_CNOC_MNOC_CFG				32
#define MASTER_MNOC_HF_MEM_NOC				33
#define MASTER_MNOC_SF_MEM_NOC				34
#define MASTER_ANOC_PCIE_GEM_NOC				35
#define MASTER_ROTATOR				36
#define MASTER_ROTATOR_1				37
#define MASTER_SNOC_CFG				38
#define MASTER_SNOC_GC_MEM_NOC				39
#define MASTER_SNOC_SF_MEM_NOC				40
#define MASTER_VIDEO_P0				41
#define MASTER_VIDEO_P1				42
#define MASTER_VIDEO_PROC				43
#define MASTER_QUP_CORE_0				44
#define MASTER_QUP_CORE_1				45
#define MASTER_QUP_CORE_2				46
#define MASTER_CAMNOC_ICP				47
#define MASTER_CAMNOC_SF				48
#define MASTER_CRYPTO				49
#define MASTER_IPA				50
#define MASTER_LPASS_PROC				51
#define MASTER_CDSP_PROC				52
#define MASTER_CDSP_PROC_B				53
#define MASTER_PIMEM				54
#define MASTER_SENSORS_PROC				55
#define MASTER_SP				56
#define MASTER_EMAC				57
#define MASTER_EMAC_1				58
#define MASTER_GIC				59
#define MASTER_PCIE_0				60
#define MASTER_PCIE_1				61
#define MASTER_PCIE_2A				62
#define MASTER_PCIE_2B				63
#define MASTER_PCIE_3A				64
#define MASTER_PCIE_3B				65
#define MASTER_PCIE_4				66
#define MASTER_QDSS_ETR				67
#define MASTER_SDCC_2				68
#define MASTER_SDCC_4				69
#define MASTER_UFS_CARD				70
#define MASTER_UFS_MEM				71
#define MASTER_USB3_0				72
#define MASTER_USB3_1				73
#define MASTER_USB3_MP				74
#define MASTER_USB4_0				75
#define MASTER_USB4_1				76
#define SLAVE_EBI1				512
#define SLAVE_IPA_CORE				513
#define SLAVE_AHB2PHY_0				514
#define SLAVE_AHB2PHY_1				515
#define SLAVE_AHB2PHY_2				516
#define SLAVE_AOSS				517
#define SLAVE_APPSS				518
#define SLAVE_CAMERA_CFG				519
#define SLAVE_CLK_CTL				520
#define SLAVE_CDSP_CFG				521
#define SLAVE_CDSP1_CFG				522
#define SLAVE_RBCPR_CX_CFG				523
#define SLAVE_RBCPR_MMCX_CFG				524
#define SLAVE_RBCPR_MX_CFG				525
#define SLAVE_CPR_NSPCX				526
#define SLAVE_CRYPTO_0_CFG				527
#define SLAVE_CX_RDPM				528
#define SLAVE_DCC_CFG				529
#define SLAVE_DISPLAY_CFG				530
#define SLAVE_DISPLAY1_CFG				531
#define SLAVE_EMAC_CFG				532
#define SLAVE_EMAC1_CFG				533
#define SLAVE_GFX3D_CFG				534
#define SLAVE_HWKM				535
#define SLAVE_IMEM_CFG				536
#define SLAVE_IPA_CFG				537
#define SLAVE_IPC_ROUTER_CFG				538
#define SLAVE_LLCC_CFG				539
#define SLAVE_LPASS				540
#define SLAVE_LPASS_CORE_CFG				541
#define SLAVE_LPASS_LPI_CFG				542
#define SLAVE_LPASS_MPU_CFG				543
#define SLAVE_LPASS_TOP_CFG				544
#define SLAVE_MX_RDPM				545
#define SLAVE_MXC_RDPM				546
#define SLAVE_PCIE_0_CFG				547
#define SLAVE_PCIE_1_CFG				548
#define SLAVE_PCIE_2A_CFG				549
#define SLAVE_PCIE_2B_CFG				550
#define SLAVE_PCIE_3A_CFG				551
#define SLAVE_PCIE_3B_CFG				552
#define SLAVE_PCIE_4_CFG				553
#define SLAVE_PCIE_RSC_CFG				554
#define SLAVE_PDM				555
#define SLAVE_PIMEM_CFG				556
#define SLAVE_PKA_WRAPPER_CFG				557
#define SLAVE_PMU_WRAPPER_CFG				558
#define SLAVE_QDSS_CFG				559
#define SLAVE_QSPI_0				560
#define SLAVE_QUP_0				561
#define SLAVE_QUP_1				562
#define SLAVE_QUP_2				563
#define SLAVE_SDCC_2				564
#define SLAVE_SDCC_4				565
#define SLAVE_SECURITY				566
#define SLAVE_SMMUV3_CFG				567
#define SLAVE_SMSS_CFG				568
#define SLAVE_SPSS_CFG				569
#define SLAVE_TCSR				570
#define SLAVE_TLMM				571
#define SLAVE_UFS_CARD_CFG				572
#define SLAVE_UFS_MEM_CFG				573
#define SLAVE_USB3_0				574
#define SLAVE_USB3_1				575
#define SLAVE_USB3_MP				576
#define SLAVE_USB4_0				577
#define SLAVE_USB4_1				578
#define SLAVE_VENUS_CFG				579
#define SLAVE_VSENSE_CTRL_CFG				580
#define SLAVE_VSENSE_CTRL_R_CFG				581
#define SLAVE_A1NOC_CFG				582
#define SLAVE_A1NOC_SNOC				583
#define SLAVE_A2NOC_CFG				584
#define SLAVE_A2NOC_SNOC				585
#define SLAVE_USB_NOC_SNOC				586
#define SLAVE_ANOC_PCIE_BRIDGE_CFG				587
#define SLAVE_DDRSS_CFG				588
#define SLAVE_GEM_NOC_CNOC				589
#define SLAVE_GEM_NOC_CFG				590
#define SLAVE_SNOC_GEM_NOC_GC				591
#define SLAVE_SNOC_GEM_NOC_SF				592
#define SLAVE_LLCC				593
#define SLAVE_MNOC_HF_MEM_NOC				594
#define SLAVE_MNOC_SF_MEM_NOC				595
#define SLAVE_CNOC_MNOC_CFG				596
#define SLAVE_CDSP_MEM_NOC				597
#define SLAVE_CDSPB_MEM_NOC				598
#define SLAVE_GEM_NOC_PCIE_CNOC				599
#define SLAVE_ANOC_PCIE_GEM_NOC				600
#define SLAVE_SNOC_CFG				601
#define SLAVE_SNOC_SF_BRIDGE_CFG				602
#define SLAVE_LPASS_SNOC				603
#define SLAVE_QUP_CORE_0				604
#define SLAVE_QUP_CORE_1				605
#define SLAVE_QUP_CORE_2				606
#define SLAVE_IMEM				607
#define SLAVE_NSP_XFR				608
#define SLAVE_NSPB_XFR				609
#define SLAVE_PIMEM				610
#define SLAVE_SERVICE_NSP_NOC				611
#define SLAVE_SERVICE_NSPB_NOC				612
#define SLAVE_SERVICE_A1NOC				613
#define SLAVE_SERVICE_A2NOC				614
#define SLAVE_SERVICE_CNOC				615
#define SLAVE_SERVICE_GEM_NOC_1				616
#define SLAVE_SERVICE_MNOC				617
#define SLAVE_SERVICES_LPASS_AML_NOC				618
#define SLAVE_SERVICE_LPASS_AG_NOC				619
#define SLAVE_SERVICE_GEM_NOC_2				620
#define SLAVE_SERVICE_SNOC				621
#define SLAVE_SERVICE_GEM_NOC				622
#define SLAVE_PCIE_0				623
#define SLAVE_PCIE_1				624
#define SLAVE_PCIE_2A				625
#define SLAVE_PCIE_2B				626
#define SLAVE_PCIE_3A				627
#define SLAVE_PCIE_3B				628
#define SLAVE_PCIE_4				629
#define SLAVE_QDSS_STM				630
#define SLAVE_SMSS				631
#define SLAVE_TCU				632

#endif
